#
# spec file for package simple-mtpfs
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           simple-mtpfs
Version:        0.1
Release:        1.1
Summary:        Simple MTP fuse filesystem driver
License:        GPL-2.0+
Group:          Productivity/Multimedia/Other
Source:         http://github.com/phatina/simple-mtpfs/archive/%{name}-%{version}.tar.gz
Url:            http://github.com/phatina/simple-mtpfs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libmtp-devel fuse-devel
BuildRequires:  autoconf automake
BuildRequires:  gcc-c++
BuildRequires:  pkg-config

%description
SIMPLE-MTPFS (Simple Media Transfer Protocol FileSystem) is a file system for
Linux (and other operating systems with a FUSE implementation, such as Mac OS X
or FreeBSD) capable of operating on files on MTP devices attached via USB to
local machine. On the local computer where the SIMPLE-MTPFS is mounted, the
implementation makes use of the FUSE (Filesystem in Userspace) kernel module.
The practical effect of this is that the end user can seamlessly interact with
MTP device files.

%prep
%setup -q -n %name-%name-%version
# fixed by upstream already --as-needed build
sed -i \
	-e 's:simple_mtpfs_LDFLAGS:simple_mtpfs_LDADD:g' \
	src/makefile.am

%build
sh autogen.sh
%configure
make %{?_smp_mflags} V=1
export CFLAGS="%{optflags}"

%install
%makeinstall

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Sat Jun 15 2013 tchvatal@suse.com
- Use http instead of https to see if our auto tools wont fail.
* Fri Jun 14 2013 tchvatal@suse.com
- Initial spec for mtpfs mounter usefull if you have new android
  phones.
